Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface AdviceRequest

public interface AdviceRequest

This interface represents a request for advice within the advisor subsystem. Its methods are similar to the HttpSession interface.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the AdviceRequest attribute with a given name.
`java.util.Collection` | `getAttributeNames()` Returns a Collection with the names of all the attributes.
`long` | `getCreationTime()` Returns the creation time for this AdviceRequest.
`java.lang.String` | `getId()` Returns the user assigned identifier for this AdviceRequest.
`java.lang.String` | `getUri()` Returns the URI associated with this AdviceRequest.
`void` | `removeAttribute(java.lang.String name)` Removes a named attribute from the AdviceRequest.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets a named attribute to a value.
`void` | `setId(java.lang.String id)` Set the identifier for this AdviceRequest.
`void` | `setUri(java.lang.String uri)` Sets the URI associated with this AdviceRequest.

Method Detail

### getUri

    public java.lang.String getUri()

  Returns the URI associated with this AdviceRequest.

  Returns:
    the URI associated with this AdviceRequest.

### setUri

    public void setUri(java.lang.String uri)

  Sets the URI associated with this AdviceRequest.

  Parameters:
    `uri` - the URI.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Returns the AdviceRequest attribute with a given name.

  Parameters:
    `name` - the name of the attribute.
  Returns:
    the AdviceRequest attribute with a given name.

### getAttributeNames

    public java.util.Collection getAttributeNames()

  Returns a Collection with the names of all the attributes.

  Returns:
    a Collection with the names of all the attributes.

### getCreationTime

    public long getCreationTime()

  Returns the creation time for this AdviceRequest.

  Returns:
    the creation time for this AdviceRequest.

### getId

    public java.lang.String getId()

  Returns the user assigned identifier for this AdviceRequest.

  Returns:
    the user assigned identifier for this AdviceRequest.

### setId

    public void setId(java.lang.String id)

  Set the identifier for this AdviceRequest.

  Parameters:
    `id` - the AdviceRequest identifier.

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Removes a named attribute from the AdviceRequest.

  Parameters:
    `name` - the name of the attribute.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Sets a named attribute to a value.

  Parameters:
    `name` - the name of the attribute.
    `value` - the value to be associated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved